/*
 * @Author       : yuanrunwei
 * @Date         : 2020-05-18 12:05:37
 * @LastEditors  : yuanrunwei
 * @LastEditTime : 2020-05-18 12:21:24
 * @FilePath     : \ambre-admin-noob\src\main.js
 */
import Vue from 'vue'
import App from './App.vue'
import store from './store'
import router from './router'
import api from './common/api/api'
import utils from './common/utils/utils'
import Cookies from 'js-cookie'

import VueCropper from 'vue-cropper'

import cookiesDeploy from './common/utils/cookiesDeploy'

import './common/font/iconfont.css'
// import './permission.js'

import 'babel-polyfill'

Vue.use(VueCropper)
Vue.use(Cookies)

Vue.prototype.Cookies = Cookies
Vue.prototype.$cookies = cookiesDeploy
Vue.prototype.$auth = cookiesDeploy.getCookies()
Vue.prototype.$api = api
Vue.prototype.$utils = utils
Vue.prototype.$storeId = parseInt(localStorage.getItem('storeId')) || ''
Vue.prototype.$img = process.env.VUE_APP_IMG
Vue.prototype.$url = process.env.VUE_APP_API
Vue.config.productionTip = false

export default new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
